Package org.apache.sling.jcr.base.internal.mount

## Class ProxyLock

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<javax.jcr.lock.Lock>
  - - org.apache.sling.jcr.base.internal.mount.ProxyLock

All Implemented Interfaces:
  `javax.jcr.lock.Lock`

    public class ProxyLock
    extends ProxyWrapper<javax.jcr.lock.Lock>
    implements javax.jcr.lock.Lock

### Constructor Summary

Constructors
`ProxyLock​(ProxySession<?> mountSession, javax.jcr.lock.Lock source)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLockOwner()`
`String` `getLockToken()`
`javax.jcr.Node` `getNode()`
`long` `getSecondsRemaining()`
`boolean` `isDeep()`
`boolean` `isLive()`
`boolean` `isLockOwningSession()`
`boolean` `isSessionScoped()`
`void` `refresh()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProxyLock

    public ProxyLock​(ProxySession<?> mountSession,
                     javax.jcr.lock.Lock source)

### Method Detail

#### getLockOwner

    public String getLockOwner()

Specified by:
  `getLockOwner` in interface `javax.jcr.lock.Lock`

#### isDeep

    public boolean isDeep()

Specified by:
  `isDeep` in interface `javax.jcr.lock.Lock`

#### getNode

    public javax.jcr.Node getNode()

Specified by:
  `getNode` in interface `javax.jcr.lock.Lock`

#### getLockToken

    public String getLockToken()

Specified by:
  `getLockToken` in interface `javax.jcr.lock.Lock`

#### getSecondsRemaining

    public long getSecondsRemaining()
                             throws javax.jcr.RepositoryException

Specified by:
  `getSecondsRemaining` in interface `javax.jcr.lock.Lock`
Throws:
  `javax.jcr.RepositoryException`

#### isLive

    public boolean isLive()
                   throws javax.jcr.RepositoryException

Specified by:
  `isLive` in interface `javax.jcr.lock.Lock`
Throws:
  `javax.jcr.RepositoryException`

#### isSessionScoped

    public boolean isSessionScoped()

Specified by:
  `isSessionScoped` in interface `javax.jcr.lock.Lock`

#### isLockOwningSession

    public boolean isLockOwningSession()

Specified by:
  `isLockOwningSession` in interface `javax.jcr.lock.Lock`

#### refresh

    public void refresh()
                 throws javax.jcr.lock.LockException,
                        javax.jcr.RepositoryException

Specified by:
  `refresh` in interface `javax.jcr.lock.Lock`
Throws:
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`